# Release history

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

<details>
  <summary><strong>Guiding Principles</strong></summary>

- Changelogs are for humans, not machines.
- There should be an entry for every single version.
- The same types of changes should be grouped.
- Versions and sections should be linkable.
- The latest version comes first.
- The release date of each versions is displayed.
- Mention whether you follow Semantic Versioning.

</details>

<details>
  <summary><strong>Types of changes</strong></summary>

Changelog entries are classified using the following labels _(from [keep-a-changelog](http://keepachangelog.com/)_):

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

</details>

## [3.0.0] - 2017-12-13

**Changed**

- renamed `token.val` to `token.value`
- expose `.create` method to allow customization of `token.value` property name

## [2.0.0] - 2017-11-10

- refactored to be simplified

## [1.0.2] - 2017-11-10

- make `parent` the last argument

## [1.0.1] - 2017-11-09

- fix readme

## [1.0.0] - 2017-11-09

- initial commit
- first commit
- update description

[2.0.0]: https://github.com/here-be/snapdragon-token/compare/1.0.2...2.0.0
[1.0.2]: https://github.com/here-be/snapdragon-token/compare/1.0.1...1.0.2
[1.0.1]: https://github.com/here-be/snapdragon-token/compare/1.0.0...1.0.1

[keep-a-changelog]: https://github.com/olivierlacan/keep-a-changelog

